<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{646A7C0F-FA05-425E-BEF4-04554C0AE1D1}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Graphs</RootNamespace>
    <AssemblyName>Matching</AssemblyName>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>True</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>False</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>bin\Debug\Matching.XML</DocumentationFile>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>True</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Accord">
      <HintPath>..\..\PFE_GraphLib_chao\test\test\test\bin\Debug\Accord.dll</HintPath>
    </Reference>
    <Reference Include="Accord.MachineLearning">
      <HintPath>..\..\PFE_GraphLib_chao\test\test\test\bin\Debug\Accord.MachineLearning.dll</HintPath>
    </Reference>
    <Reference Include="MatrixLibrary, Version=1.0.4570.15044, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\MatrixLibrary.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="Combinations">
      <HintPath>..\lib\Combinations.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Antoine\BeamSearchGraphEditDistanceAC.cs" />
    <Compile Include="Antoine\ConstantsAC.cs" />
    <Compile Include="Antoine\EdgeLabelDistanceEditionAC.cs" />
    <Compile Include="Antoine\EditPathAC.cs" />
    <Compile Include="Antoine\NodeLabelDistanceEditionAC.cs" />
    <Compile Include="Chao\ClusterInformation.cs" />
    <Compile Include="Chao\Embedding.cs" />
    <Compile Include="Chao\FMGEEmbedding.cs" />
    <Compile Include="Chao\FMGESignature.cs" />
    <Compile Include="Chao\IndexGraph.cs" />
    <Compile Include="Chao\ResearchGraph.cs" />
    <Compile Include="Chao\ResultMatching.cs" />
    <Compile Include="Chao\VectorFMGE.cs" />
    <Compile Include="Combinatorics\Combinations.cs" />
    <Compile Include="Combinatorics\GenerateOption.cs" />
    <Compile Include="Combinatorics\IMetaCollection.cs" />
    <Compile Include="Combinatorics\Permutations.cs" />
    <Compile Include="Combinatorics\SmallPrimeUtility.cs" />
    <Compile Include="Combinatorics\Variations.cs" />
    <Compile Include="ILP\Glpk_Controller.cs" />
    <Compile Include="ILP\Glpk_Exact_Solve.cs" />
    <Compile Include="ILP\Glpk_Inexact_Solve.cs" />
    <Compile Include="ILP\Glpk_Solver.cs" />
    <Compile Include="ILP\Lib_Controller.cs" />
    <Compile Include="ILP\NumLabel.cs" />
    <Compile Include="IsomorphismCandG.cs" />
    <Compile Include="Labels.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ResultIsomorphism.cs" />
    <Compile Include="SearchTree.cs" />
    <Compile Include="UnLabel.cs" />
    <Compile Include="Vf.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Graphs\Graphs.csproj">
      <Project>{67D3A3BC-AF8A-40ED-BBEF-C73E28F8D727}</Project>
      <Name>Graphs</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>